lbp2900驱动安装步骤(在Linux下安装打印驱动)

在Linux下安装打印驱动,以佳能LBP2900+为例

在Linux下安装打印驱动,以佳能LBP2900+为例

相较于在Windows下安装打印驱动程序,在linux下安装打印驱动程序要复杂一些,不过安装成功后,打印驱动比在Windows下稳定,不会出现让人迷惑无从下手的问题,这正是linux系统相比于windows系统的魅力所在。

自从出现CUPS系统以后,linux系统下打印支持得到了显著改进,数量种类众多的打印机可以通过CUPS系统成功地在linux系统下正常运作,虽然不同的打印机生产商会有自家的打印机描述语言和打印机驱动解决方案,比如HP自家的PCL和HP PostScript,Canon自家的CCP,这些都可以通过PPD与CUPS系统进行交流,进而驱动打印机运作。了解了这些基本原理,安装打印驱动只是按步就班的事,即使遇到问题,也能分析出来原因,并找到相应的解决方法。以HP为例,就需要配置好HPLIP,对于Canon来说,则要安装好CAPAT,当然,在Linux系统中要提前安装好CUPS通用打印支持系统。

在Linux下安装打印驱动,以佳能LBP2900+为例

佳能LBP2900+和HP1020 plus都是最为常见的黑白激光打印机,它俩同样皮实耐用,甚至于佳能LBP2900+的性价比要更好一些,这里以佳能LBP2900+打印驱动安装为例,说明在linux系统下安装打印驱动的思路和方法。

sudo apt install cups      //安装cups通用打印支持系统

执行这条命令后,可能会遇到缺少一些支撑软件包,可以执行如下命令补充安装,如果不缺少支撑软件包,可以跳过。

sudo apt --fix-broken install

当CUPS系统安装成功后,接下来就需要下载佳能LBP2900+打印驱动,在佳能官方网站上找到for linux的打印驱动并下载。

axel -s 10 https://gdlp01.c-wss.com/gds/6/0100004596/05/linux-capt-drv-v271-uken.tar.gz
aria2c -n 10 https://gdlp01.c-wss.com/gds/6/0100004596/05/linux-capt-drv-v271-uken.tar.gz

这里用axel和aria2多纯程下载工具下载佳能LBP2900+驱动,解压后,按照如下步骤操作,这里以Debian Linux系统为例。

cd linux-capt-drv-v271-uken/64-bit_Driver/Debian/
sudo dpkg -i cndrvcups-common_3.21-1_amd64.deb 
sudo dpkg -i cndrvcups-capt_2.71-1_amd64.deb
sudo ls /dev/usb/

如果ls /dev/usb执行结果显示有lp0,说明打印机已经开机接上打印数据线并且已经被linux系统检测到,接下来安装打印驱动才有了前提。佳能官方的安装手册上没有提到佳能打印驱动的支撑依赖软件库的问题,这正是安装的难点要点所在,按照下如命令检查驱动程序依赖包安装情况。

sudo ldd /usr/bin/captdrv
sudo ldd /usr/bin/captfilter
sudo ldd /usr/bin/captmon
sudo ldd /usr/bin/captmon2

如果以上命令执行后,出现任何依赖软件库提示not found,即没有找到的情况,则需要安装相应的依赖软件库,我所遇到的缺少的依赖库需要继续执行以下命令。

sudo apt install libpopt0:i386
sudo apt install libxml2:i386
sudo apt install libpopt0
sudo apt install libxml2

安装完所有以依赖软件库后,重新执行检查依赖情况,直到不再出现not found的提示,再继续进行以下安装过程。

sudo service cups restart
sudo /usr/sbin/lpadmin -p LBP2900 -m CNCUPSLBP3000CAPTK.ppd -v ccp:localhost:59687 -E
sudo /usr/sbin/ccpdadmin -p LBP2900 -o /dev/usb/lp0 
sudo service ccpd restart
sudo service ccpd status

这里需要说明的是,在/usr/share/cups/model/文件夹下存放有所有打印机型号对应的ppd驱动文件,这些驱动文件又符号链接到/usr/share/ppd文件夹下,以提供对传统LPD打印系统的兼容支持。LBP2900+打印机对应的是CNCUPSLBP3000CAPTK.ppd,LBP2900打印机对应的是CNCUPSLBP2900CAPTK.ppd,LBP3000打印机对应的是CNCUPSLBP3000CAPTK.ppd,在安装驱动时注意选择正确的ppd驱动文件。当以上的所有安装都顺利完成后,执行下面的命令检查驱动是否正常可用。

sudo captstatusui -P LBP2900

如果出现错误,可能是佳能的CCP服务管道没有打开,执行以下命令建立CCP服务管道。

sudo mkdir /var/ccpd
sudo mkfifo /var/ccpd/fifo0
sudo chown -R lp:lp /var/ccpd

最后,为了以后的打印机的正常使用,将用户帐户加入lp打印机组,即执行以下命令。

sudo usermod -G lp 用户登录帐户名
在Linux下安装打印驱动,以佳能LBP2900+为例

至此,佳能LBP2900+驱动安装完成,打印机正常运作。

站长微信:yqq8233(长安复制)公众号:vzyun222